/**
 * Union College CSc-244 AI Project 3 - ReadStdinInt >
 * ReadStdinInt is a class that will 
 * 
 * <<SOURCE: Java Cookbook by Ian F. Darwin, First Edition, pp. 236 - 237.>>
 * 
 * @author  TJ Bush & RJ Conti 
 * @version 03.11.2004
 */

import java.io.*;

public class ReadStdinInt
{
   // instance variable(s) ------------------------------------------------
   // none
   //----------------------------------------------------------------------

   // constructor method(s) -----------------------------------------------
   // none
   //----------------------------------------------------------------------

    // instance method(s) --------------------------------------------------
    /**
     * ### readInt() ### reads an integer from the standard input and if it
     *                   is valid will return it else reports an error.
     *
     * @param   n/a
     * @return  the integer read from the standard input
     */
    public int readInt()
    {
        String line = null;     // holder for input
        int val     = 0;        // value read in
        
        try {
                BufferedReader is = new BufferedReader(
                new InputStreamReader(System.in));
                line = is.readLine();
                val = Integer.parseInt(line);
        } catch (NumberFormatException ex) 
            {
                System.err.println("Not a valid number: " + line);
            }  // end catch
          catch (IOException e) 
            {
                System.err.println("Unexpected IO ERROR: " + e);
            } // end catch

        return val; // retruns the value read in
    } // end readInt()
    // ---------------------------------------------------------------------

} // end ReadStdinInt class